CSIT: Make script inclusion more readable 57/24057/8
authorVratko Polak <vrpolak@cisco.com>
Tue, 7 Jan 2020 17:31:53 +0000 (18:31 +0100)
committerVratko Polak <vrpolak@cisco.com>
Thu, 9 Jan 2020 09:35:07 +0000 (10:35 +0100)
Historically, scripts names started with include-raw-csit- prefix.
That was not only long and superfluous, but also confusing,
as the actual way of including uses
"include-raw-escape", which is a command behaving differently
than "include-raw", suggested by the previous name.

This Change shortens script names to the part
that actually says something about the script.

+ Move scripts to jjb/scripts/csit/.
- "Absolute" paths are not used, as ci-man root is not in serarch path.
+ Put each path on a separate line to avoid long lines.
+ Update copyright years, add missing copyright notices.

Change-Id: Ifcfad5833577d78bf9105f494d5bf6187abc2a68
Signed-off-by: Vratko Polak <vrpolak@cisco.com>
26 files changed:
jjb/csit/csit-func.yaml
jjb/csit/csit-hc2vpp.yaml
jjb/csit/csit-macros.yaml
jjb/csit/csit-perf.yaml
jjb/csit/csit-tox.yaml
jjb/csit/csit-vpp-device.yaml
jjb/csit/csit.yaml
jjb/csit/include-raw-csit-nsh_sfc-functional-virl.sh [deleted file]
jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh [deleted file]
jjb/csit/include-raw-csit-vpp-functional-multilink.sh [deleted file]
jjb/csit/include-raw-csit-vpp-functional-virl.sh [deleted file]
jjb/scripts/csit/cpta.sh [moved from jjb/csit/include-raw-csit-cpta.sh with 80% similarity]
jjb/scripts/csit/device-semiweekly.sh [moved from jjb/csit/include-raw-csit-device-semiweekly.sh with 97% similarity]
jjb/scripts/csit/device-verify.sh [moved from jjb/csit/include-raw-csit-device-verify.sh with 93% similarity]
jjb/scripts/csit/dmm-functional-virl.sh [moved from jjb/csit/include-raw-csit-dmm-functional-virl.sh with 93% similarity]
jjb/scripts/csit/docs.sh [moved from jjb/csit/include-raw-csit-docs.sh with 74% similarity]
jjb/scripts/csit/hc2vpp-verify-func.sh [moved from jjb/csit/include-raw-csit-hc2vpp-verify-func.sh with 61% similarity]
jjb/scripts/csit/nsh_sfc-functional-virl.sh [new file with mode: 0644]
jjb/scripts/csit/nsh_sfc-perf-hw.sh [new file with mode: 0644]
jjb/scripts/csit/perf-timed.sh [moved from jjb/csit/include-raw-csit-perf-timed.sh with 96% similarity]
jjb/scripts/csit/perf-verify.sh [moved from jjb/csit/include-raw-csit-perf-verify.sh with 95% similarity]
jjb/scripts/csit/report.sh [moved from jjb/csit/include-raw-csit-report.sh with 75% similarity]
jjb/scripts/csit/tldk-functional-virl.sh [moved from jjb/csit/include-raw-csit-tldk-functional-virl.sh with 95% similarity]
jjb/scripts/csit/tox.sh [new file with mode: 0644]
jjb/scripts/csit/vpp-functional-multilink.sh [new file with mode: 0644]
jjb/scripts/csit/vpp-functional-virl.sh [new file with mode: 0644]

index 90fc9d3..7827397 100644 (file)
@@ -1,4 +1,4 @@
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Copyright (c) 2019 PANTHEON.tech s.r.o. and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -87,7 +87,8 @@
 
     builders:
       - shell:
-          !include-raw-escape: include-raw-csit-vpp-functional-virl.sh
+          !include-raw-escape:
+          - ../scripts/csit/vpp-functional-virl.sh
 
     publishers:
       - robot-report:
 
     builders:
       - shell:
-          !include-raw-escape: include-raw-csit-nsh_sfc-functional-virl.sh
+          !include-raw-escape:
+          - ../scripts/csit/nsh_sfc-functional-virl.sh
 
     publishers:
       - robot-report:
 
     builders:
       - shell:
-          !include-raw-escape: include-raw-csit-tldk-functional-virl.sh
+          !include-raw-escape:
+          - ../scripts/csit/tldk-functional-virl.sh
 
     publishers:
       - robot-report:
 
     builders:
       - shell:
-          !include-raw-escape: include-raw-csit-dmm-functional-virl.sh
+          !include-raw-escape:
+          - ../scripts/csit/dmm-functional-virl.sh
 
     publishers:
       - robot-report:
index ed788fd..d491220 100644 (file)
@@ -1,3 +1,16 @@
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 ---
 - project:
     name: csit-hc2vpp
@@ -68,7 +81,8 @@
 
     builders:
       - shell:
-          !include-raw-escape: include-raw-csit-hc2vpp-verify-func.sh
+          !include-raw-escape:
+          - ../scripts/csit/hc2vpp-verify-func.sh
 
     publishers:
       - email-notification:
index 16e349b..037e625 100644 (file)
@@ -1,3 +1,16 @@
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 ---
 - trigger:
     name: gerrit-trigger-csit-vpp-devicetest-full
index 2383b5e..d9263a4 100644 (file)
@@ -1,4 +1,4 @@
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Copyright (c) 2019 PANTHEON.tech s.r.o. and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 
     builders:
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-perf-verify.sh
+          !include-raw-escape:
+          - ../scripts/csit/perf-verify.sh
 
     publishers:
       - robot:
       - inject:
           properties-file: variables.prop
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
+          !include-raw-escape:
+          - ../scripts/csit/perf-timed.sh
 
     publishers:
       - robot:
       - inject:
           properties-file: variables.prop
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
+          !include-raw-escape:
+          - ../scripts/csit/perf-timed.sh
 
     publishers:
       - robot:
       - inject:
           properties-file: variables.prop
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
+          !include-raw-escape:
+          - ../scripts/csit/perf-timed.sh
 
     publishers:
       - robot:
 
     builders:
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-perf-verify.sh
+          !include-raw-escape:
+          - ../scripts/csit/perf-verify.sh
 
     publishers:
       - robot:
       - inject:
           properties-file: variables.prop
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
+          !include-raw-escape:
+          - ../scripts/csit/perf-timed.sh
 
     publishers:
       - robot:
index d2af54c..e83ce94 100644 (file)
@@ -1,3 +1,16 @@
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 ---
 - project:
     name: csit-validate
@@ -59,7 +72,8 @@
 
     builders:
       - shell:
-          ./resources/libraries/bash/entry/tox.sh
+          !include-raw-escape:
+          - ../scripts/csit/tox.sh
 
     publishers:
       # TODO: Remove this when a voting pylint difference checker
index c435f21..3c713d0 100644 (file)
@@ -1,4 +1,4 @@
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
 
     builders:
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-device-verify.sh
+          !include-raw-escape:
+          - ../scripts/csit/device-verify.sh
 
     publishers:
       - robot:
       - inject:
           properties-file: variables.prop
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-device-semiweekly.sh
+          !include-raw-escape:
+          - ../scripts/csit/device-semiweekly.sh
 
     publishers:
       - robot:
 
     builders:
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-device-verify.sh
+          !include-raw-escape:
+          - ../scripts/csit/device-verify.sh
 
     publishers:
       - robot:
 
     builders:
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-device-verify.sh
+          !include-raw-escape:
+          - ../scripts/csit/device-verify.sh
 
     publishers:
       - robot:
       - inject:
           properties-file: variables.prop
       - shell:
-          !include-raw-escape: jjb/csit/include-raw-csit-device-semiweekly.sh
+          !include-raw-escape:
+          - ../scripts/csit/device-semiweekly.sh
 
     publishers:
       - robot:
index 440a129..ad6689c 100644 (file)
@@ -1,4 +1,4 @@
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
           settings-file: 'csit-settings'
           global-settings-file: 'global-settings'
       - shell:
-          !include-raw-escape: include-raw-csit-docs.sh
+          !include-raw-escape:
+          - ../scripts/csit/docs.sh
 
     publishers:
       - fdio-infra-shiplogs:
           settings-file: 'csit-settings'
           global-settings-file: 'global-settings'
       - shell:
-          !include-raw-escape: include-raw-csit-report.sh
+          !include-raw-escape:
+          - ../scripts/csit/report.sh
 
     publishers:
       - fdio-infra-shiplogs:
           settings-file: 'csit-settings'
           global-settings-file: 'global-settings'
       - shell:
-          !include-raw-escape: include-raw-csit-cpta.sh
+          !include-raw-escape:
+          - ../scripts/csit/cpta.sh
 
     publishers:
       - email-ext:
diff --git a/jjb/csit/include-raw-csit-nsh_sfc-functional-virl.sh b/jjb/csit/include-raw-csit-nsh_sfc-functional-virl.sh
deleted file mode 100644 (file)
index 2f22a98..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# execute nsh_sfc bootstrap script if it exists
-if [ -e bootstrap-nsh_sfc-functional-virl.sh ]
-then
-    # make sure that bootstrap-nsh_sfc-functional-virl.sh is executable
-    chmod +x bootstrap-nsh_sfc-functional-virl.sh
-    # run the script
-    if [ ${STREAM} == 'master' ]; then
-        ./bootstrap-nsh_sfc-functional-virl.sh ${STREAM} ${OS}
-    else
-        ./bootstrap-nsh_sfc-functional-virl.sh 'stable.'${STREAM} ${OS}
-    fi
-else
-    echo 'ERROR: No bootstrap-nsh_sfc-functional-virl.sh found'
-    exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh b/jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh
deleted file mode 100644 (file)
index 7624889..0000000
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/bash
-
-# execute  nsh_sfc bootstrap script if it exists
-if [ ! -e bootstrap-verify-perf-nsh_sfc.sh ]
-then
-    echo 'ERROR: No bootstrap-verify-perf-nsh_sfc.sh found'
-    exit 1
-fi
-
-# make sure that bootstrap-verify-perf.sh is executable
-chmod +x bootstrap-verify-perf-nsh_sfc.sh
-# run the script
-if [ ${STREAM} == 'master' ]; then
-    ./bootstrap-verify-perf-nsh_sfc.sh ${STREAM} ${OS}
-else
-    ./bootstrap-verify-perf-nsh_sfc.sh 'stable.'${STREAM} ${OS}
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-functional-multilink.sh b/jjb/csit/include-raw-csit-vpp-functional-multilink.sh
deleted file mode 100644 (file)
index 065500f..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-multilink.sh ]
-then
-    # make sure that bootstrap.sh is executable
-    chmod +x bootstrap-multilink.sh
-    # run the script
-    ./bootstrap-multilink.sh
-else
-    echo 'ERROR: No bootstrap-multilink.sh found'
-    exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-functional-virl.sh b/jjb/csit/include-raw-csit-vpp-functional-virl.sh
deleted file mode 100644 (file)
index ce7b58e..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap.sh ]
-then
-    # make sure that bootstrap.sh is executable
-    chmod +x bootstrap.sh
-    # run the script
-    ./bootstrap.sh
-else
-    echo 'ERROR: No bootstrap.sh found'
-    exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
similarity index 80%
rename from jjb/csit/include-raw-csit-cpta.sh
rename to jjb/scripts/csit/cpta.sh
index def57d5..d6bc187 100644 (file)
@@ -1,5 +1,18 @@
 #!/bin/bash
 
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 set -xe -o pipefail
 
 [ "${DOCS_REPO_URL}" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
similarity index 97%
rename from jjb/csit/include-raw-csit-device-semiweekly.sh
rename to jjb/scripts/csit/device-semiweekly.sh
index b45f768..10c3ed7 100644 (file)
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-# Copyright (c) 2018 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
similarity index 93%
rename from jjb/csit/include-raw-csit-device-verify.sh
rename to jjb/scripts/csit/device-verify.sh
index 3122541..f26e6be 100644 (file)
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-# Copyright (c) 2018 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
similarity index 93%
rename from jjb/csit/include-raw-csit-dmm-functional-virl.sh
rename to jjb/scripts/csit/dmm-functional-virl.sh
index 43fb025..fcc0a49 100644 (file)
@@ -1,5 +1,7 @@
 #!/bin/bash
+
 # Copyright (c) 2018 Huawei Technologies Co.,Ltd.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
similarity index 74%
rename from jjb/csit/include-raw-csit-docs.sh
rename to jjb/scripts/csit/docs.sh
index d714911..ebd8546 100644 (file)
@@ -1,5 +1,18 @@
 #!/bin/bash
 
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 set -xe -o pipefail
 
 [ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
similarity index 61%
rename from jjb/csit/include-raw-csit-hc2vpp-verify-func.sh
rename to jjb/scripts/csit/hc2vpp-verify-func.sh
index 0e3c183..3e3c63e 100644 (file)
@@ -1,5 +1,18 @@
 #!/bin/bash
 
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 # Parse optional arguments from gerrit comment trigger
 for i in ${GERRIT_EVENT_COMMENT_TEXT}; do
     case ${i} in
diff --git a/jjb/scripts/csit/nsh_sfc-functional-virl.sh b/jjb/scripts/csit/nsh_sfc-functional-virl.sh
new file mode 100644 (file)
index 0000000..d90003d
--- /dev/null
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeu -o pipefail
+
+# execute nsh_sfc bootstrap script if it exists
+if [ -e bootstrap-nsh_sfc-functional-virl.sh ]
+then
+    # make sure that bootstrap-nsh_sfc-functional-virl.sh is executable
+    chmod +x bootstrap-nsh_sfc-functional-virl.sh
+    # run the script
+    if [ ${STREAM} == 'master' ]; then
+        ./bootstrap-nsh_sfc-functional-virl.sh ${STREAM} ${OS}
+    else
+        ./bootstrap-nsh_sfc-functional-virl.sh 'stable.'${STREAM} ${OS}
+    fi
+else
+    echo 'ERROR: No bootstrap-nsh_sfc-functional-virl.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/nsh_sfc-perf-hw.sh b/jjb/scripts/csit/nsh_sfc-perf-hw.sh
new file mode 100644 (file)
index 0000000..6f2eb3b
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# execute  nsh_sfc bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf-nsh_sfc.sh ]
+then
+    echo 'ERROR: No bootstrap-verify-perf-nsh_sfc.sh found'
+    exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf-nsh_sfc.sh
+# run the script
+if [ ${STREAM} == 'master' ]; then
+    ./bootstrap-verify-perf-nsh_sfc.sh ${STREAM} ${OS}
+else
+    ./bootstrap-verify-perf-nsh_sfc.sh 'stable.'${STREAM} ${OS}
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
similarity index 96%
rename from jjb/csit/include-raw-csit-perf-timed.sh
rename to jjb/scripts/csit/perf-timed.sh
index 99605c7..1ef068c 100644 (file)
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
similarity index 95%
rename from jjb/csit/include-raw-csit-perf-verify.sh
rename to jjb/scripts/csit/perf-verify.sh
index 718b580..c68a881 100644 (file)
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
similarity index 75%
rename from jjb/csit/include-raw-csit-report.sh
rename to jjb/scripts/csit/report.sh
index 20f098a..b2ea0f9 100644 (file)
@@ -1,5 +1,18 @@
 #!/bin/bash
 
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 set -xe -o pipefail
 
 [ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
similarity index 95%
rename from jjb/csit/include-raw-csit-tldk-functional-virl.sh
rename to jjb/scripts/csit/tldk-functional-virl.sh
index bcaf17b..8e732a5 100644 (file)
@@ -1,5 +1,6 @@
 #!/bin/bash
-# Copyright (c) 2017 Cisco and/or its affiliates.
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
diff --git a/jjb/scripts/csit/tox.sh b/jjb/scripts/csit/tox.sh
new file mode 100644 (file)
index 0000000..32ccb5c
--- /dev/null
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Currently this is just a direct call to CSIT checked-out script.
+# We do not use source command, to make sure
+# the called script choses the interpreter it needs.
+
+set -exuo pipefail
+
+${WORKSPACE}/resources/libraries/bash/entry/tox.sh
diff --git a/jjb/scripts/csit/vpp-functional-multilink.sh b/jjb/scripts/csit/vpp-functional-multilink.sh
new file mode 100644 (file)
index 0000000..5cf2454
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-multilink.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap-multilink.sh
+    # run the script
+    ./bootstrap-multilink.sh
+else
+    echo 'ERROR: No bootstrap-multilink.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/vpp-functional-virl.sh b/jjb/scripts/csit/vpp-functional-virl.sh
new file mode 100644 (file)
index 0000000..f2e38e8
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap.sh
+    # run the script
+    ./bootstrap.sh
+else
+    echo 'ERROR: No bootstrap.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :